Can't finish system upgrade because electron & libjxl from AUR aren't built with success

The libjxl-git package error appeared after I gave the system the upgrade command once again.

Both errors are put in separate log files inside this gist:

The electron9 error is ending with this:

node: error while loading shared libraries: libicui18n.so.70: cannot open shared object file: No such file or directory
==> EROARE: S-a produs o eroare în prepare().
    Se abandonează...

and the libjxl error is ending with a long series of errors I did not understand.

How to solve these issues?

First, update your repo packages first:

pamac update --no-aur

Then deal with your AUR packages after.

FYI, Electron 9 is deprecated and will no longer receive security updates. You may not even need it anymore. See what depends on it:

pacman -Qi electron9 | grep 'Required By\|Optional For'

If it’s still needed, install the binary Electron 9 package instead of attempting to build it from source which will take hours:

pamac build electron9-bin
1 Like

I uninstalled electron9 and all the packages depending on libjxl-git pamac package or the libjxl pacman package, as it gets installed, up to and including the gnome-boxes package.

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.